package com.fs.store.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文章对象 fs_article
 * 
 * @author fs
 * @date 2022-03-25
 */
public class FsArticle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer articleId;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Long cateId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String imageUrl;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isTui;

    /** 是否最新 */
    @Excel(name = "是否最新")
    private Integer isNews;

    /** 内容 */
    @Excel(name = "内容")
    private String contents;

    /** 浏览数 */
    @Excel(name = "浏览数")
    private Long views;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishTime;

    public void setArticleId(Integer articleId) 
    {
        this.articleId = articleId;
    }

    public Integer getArticleId() 
    {
        return articleId;
    }
    public void setCateId(Long cateId) 
    {
        this.cateId = cateId;
    }

    public Long getCateId() 
    {
        return cateId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setImageUrl(String imageUrl) 
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() 
    {
        return imageUrl;
    }
    public void setIsTui(Integer isTui) 
    {
        this.isTui = isTui;
    }

    public Integer getIsTui() 
    {
        return isTui;
    }
    public void setIsNews(Integer isNews) 
    {
        this.isNews = isNews;
    }

    public Integer getIsNews() 
    {
        return isNews;
    }
    public void setContents(String contents) 
    {
        this.contents = contents;
    }

    public String getContents() 
    {
        return contents;
    }
    public void setViews(Long views) 
    {
        this.views = views;
    }

    public Long getViews() 
    {
        return views;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("articleId", getArticleId())
            .append("cateId", getCateId())
            .append("title", getTitle())
            .append("imageUrl", getImageUrl())
            .append("isTui", getIsTui())
            .append("isNews", getIsNews())
            .append("contents", getContents())
            .append("views", getViews())
            .append("sort", getSort())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("publishTime", getPublishTime())
            .toString();
    }
}
